// Project Lab - NHTV IGAD
//////////////////////////////////////////
// Author: Yoshi van Belkom - 130118
//////////////////////////////////////////
// Skill Tree asset class for adding extra
// functionality to the Skill Tree asset.
//////////////////////////////////////////

#pragma once

#include "EditorStyle.h"
#include "AssetTypeActions_Base.h"

class FSkillTreeAsset : public FAssetTypeActions_Base
{
public:
	FSkillTreeAsset( EAssetTypeCategories::Type a_assetCategory );

	// IAssetTypeActions interface
	virtual FText GetName() const override;
	virtual FColor GetTypeColor() const override;
	virtual UClass* GetSupportedClass() const override;
	virtual void OpenAssetEditor( const TArray<UObject*>& a_objects, TSharedPtr<class IToolkitHost> a_editWithinLevelEditor = TSharedPtr<IToolkitHost>() ) override;
	virtual uint32 GetCategories() override;
	// End of IAssetTypeActions interface

private:
	EAssetTypeCategories::Type m_assetCategory;
};